Arch Floor/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 29: Line 29:
==Описание==
==Описание==


The [[Arch Floor|Arch Floor]] is a special type of FreeCAD group object that has a couple of additional properties particularly suited for building floors. Particularly, they have a height property, that its children objects ([[Arch Wall|walls]] and [[Arch Structure|structures]]) can use to set their own height automatically. They are mostly used to organize your model.
The [[Arch_Floor|Arch Floor]] is a special type of FreeCAD group object that has a couple of additional properties particularly suited for building floors. Particularly, they have a height property, that its children objects ([[Arch_Wall|walls]] and [[Arch_Structure|structures]]) can use to set their own height automatically. They are mostly used to organize your model.


As of {{VersionPlus|0.18}} the Arch Floor is derived entirely from the [[Arch BuildingPart|Arch BuildingPart]] object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing {{incode|Convert to BuildingPart}}.
As of {{VersionPlus|0.18}} the Arch Floor is derived entirely from the [[Arch_BuildingPart|Arch BuildingPart]] object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing {{incode|Convert to BuildingPart}}.


<span id="Usage"></span>
<span id="Usage"></span>
Line 53: Line 53:
An Arch Floor object shares all properties from an [[Arch BuildingPart|Arch BuildingPart]], with the {{PropertyData|Ifc Type}} set to {{incode|"Building Storey"}}.
An Arch Floor object shares all properties from an [[Arch BuildingPart|Arch BuildingPart]], with the {{PropertyData|Ifc Type}} set to {{incode|"Building Storey"}}.


==Scripting==

<div class="mw-translate-fuzzy">
==Программирование==
==Программирование==
{{Emphasis|См. так же:}} [[Arch_API/ru|Arch API]] и [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].
{{Emphasis|См. так же:}} [[Arch_API/ru|Arch API]] и [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].
</div>

The Floor tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:


The Floor tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")

Revision as of 07:31, 13 June 2024

THIS COMMAND IS PART OF THE INTEGRATED BIM WORKBENCH IN V1.0
This page has been updated for that version.

Arch Floor

Системное название
Arch Floor
Расположение в меню
Архитектура → Этаж
Верстаки
Arch
Быстрые клавиши
F L
Представлено в версии
-
См. также
Здание, Arch BuildingPart, Место

Описание

The Arch Floor is a special type of FreeCAD group object that has a couple of additional properties particularly suited for building floors. Particularly, they have a height property, that its children objects (walls and structures) can use to set their own height automatically. They are mostly used to organize your model.

As of version 0.18 and above the Arch Floor is derived entirely from the Arch BuildingPart object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing Convert to BuildingPart.

Применение

  1. Optionally, select one or more objects to be included in your new floor.
  2. Invoke the Arch Floor command several ways:
    • Pressing the Floor button on the toolbar.
    • Using the L then V keyboard keys.
    • Using the 3D/BIM → Floor entry from the top menu.

Опции

  • After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the Arch Add tool.
  • You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the Arch Remove tool.

Свойства

An Arch Floor object shares all properties from an Arch BuildingPart, with the ДанныеIfc Type set to "Building Storey".

Scripting

Программирование

См. так же: Arch API и Основы составления скриптов в FreeCAD.

The Floor tool can be used in macros and from the Python console by using the following function:

Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
  • Creates a Floor object from objectslist, which is a list of objects.

Пример:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

Floor = Arch.makeFloor([Wall1, Wall2])

Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()